﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;

namespace WindowsFormsApplication149
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            
        }

        private UltraNumericEditor setControlToNumeric(NumericType type)
        {
            string i = Int32.MaxValue.ToString();
            string f = Int32.MaxValue.ToString();

            UltraNumericEditor numericEditor = new UltraNumericEditor();
            numericEditor.MinValue = Int64.MinValue;
            numericEditor.MaxValue = Int64.MaxValue;
            numericEditor.NumericType = type;
            numericEditor.PromptChar = ' ';

            if (type == NumericType.Decimal)
                numericEditor.MaskInput = "{double:" + i + "." + f + "}";
            else if (type == NumericType.Integer)
                numericEditor.MaskInput = "{LOC}" + i;

            return numericEditor;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns[0].EditorComponent = setControlToNumeric(NumericType.Double);
        }
    }
}
